Kea: isc::netconf::NetconfParser::token Struct Reference

| Kea 3.2.0-git

isc::netconf::NetconfParser::token Struct Reference

Token kinds. More...

`#include <netconf_parser.h>`

## Public Types
enum | token_kind_type { TOKEN_NETCONF_EMPTY = -2 , TOKEN_END = 0 , TOKEN_NETCONF_error = 256 , TOKEN_NETCONF_UNDEF = 257 , TOKEN_COMMA = 258 , TOKEN_COLON = 259 , TOKEN_LSQUARE_BRACKET = 260 , TOKEN_RSQUARE_BRACKET = 261 , TOKEN_LCURLY_BRACKET = 262 , TOKEN_RCURLY_BRACKET = 263 , TOKEN_NULL_TYPE = 264 , TOKEN_NETCONF = 265 , TOKEN_USER_CONTEXT = 266 , TOKEN_COMMENT = 267 , TOKEN_BOOT_UPDATE = 268 , TOKEN_SUBSCRIBE_CHANGES = 269 , TOKEN_VALIDATE_CHANGES = 270 , TOKEN_MANAGED_SERVERS = 271 , TOKEN_DHCP4_SERVER = 272 , TOKEN_DHCP6_SERVER = 273 , TOKEN_D2_SERVER = 274 , TOKEN_MODEL = 275 , TOKEN_CONTROL_SOCKET = 276 , TOKEN_SOCKET_TYPE = 277 , TOKEN_UNIX = 278 , TOKEN_HTTP = 279 , TOKEN_STDOUT = 280 , TOKEN_SOCKET_NAME = 281 , TOKEN_SOCKET_URL = 282 , TOKEN_HOOKS_LIBRARIES = 283 , TOKEN_LIBRARY = 284 , TOKEN_PARAMETERS = 285 , TOKEN_LOGGERS = 286 , TOKEN_NAME = 287 , TOKEN_OUTPUT_OPTIONS = 288 , TOKEN_OUTPUT = 289 , TOKEN_DEBUGLEVEL = 290 , TOKEN_SEVERITY = 291 , TOKEN_FLUSH = 292 , TOKEN_MAXSIZE = 293 , TOKEN_MAXVER = 294 , TOKEN_PATTERN = 295 , TOKEN_START_JSON = 296 , TOKEN_START_NETCONF = 297 , TOKEN_START_SUB_NETCONF = 298 , TOKEN_STRING = 299 , TOKEN_INTEGER = 300 , TOKEN_FLOAT = 301 , TOKEN_BOOLEAN = 302 }
typedef token_kind_type | yytokentype
| Backward compatibility alias (Bison 3.6).

## Detailed Description

Token kinds.

Definition at line 490 of file netconf_parser.h.

## Member Typedef Documentation

## ◆ yytokentype

typedef token_kind_type isc::netconf::NetconfParser::token::yytokentype

Backward compatibility alias (Bison 3.6).

Definition at line 545 of file netconf_parser.h.

## Member Enumeration Documentation

## ◆ token_kind_type

enum isc::netconf::NetconfParser::token::token_kind_type

Enumerator
TOKEN_NETCONF_EMPTY |
TOKEN_END |
TOKEN_NETCONF_error |
TOKEN_NETCONF_UNDEF |
TOKEN_COMMA |
TOKEN_COLON |
TOKEN_LSQUARE_BRACKET |
TOKEN_RSQUARE_BRACKET |
TOKEN_LCURLY_BRACKET |
TOKEN_RCURLY_BRACKET |
TOKEN_NULL_TYPE |
TOKEN_NETCONF |
TOKEN_USER_CONTEXT |
TOKEN_COMMENT |
TOKEN_BOOT_UPDATE |
TOKEN_SUBSCRIBE_CHANGES |
TOKEN_VALIDATE_CHANGES |
TOKEN_MANAGED_SERVERS |
TOKEN_DHCP4_SERVER |
TOKEN_DHCP6_SERVER |
TOKEN_D2_SERVER |
TOKEN_MODEL |
TOKEN_CONTROL_SOCKET |
TOKEN_SOCKET_TYPE |
TOKEN_UNIX |
TOKEN_HTTP |
TOKEN_STDOUT |
TOKEN_SOCKET_NAME |
TOKEN_SOCKET_URL |
TOKEN_HOOKS_LIBRARIES |
TOKEN_LIBRARY |
TOKEN_PARAMETERS |
TOKEN_LOGGERS |
TOKEN_NAME |
TOKEN_OUTPUT_OPTIONS |
TOKEN_OUTPUT |
TOKEN_DEBUGLEVEL |
TOKEN_SEVERITY |
TOKEN_FLUSH |
TOKEN_MAXSIZE |
TOKEN_MAXVER |
TOKEN_PATTERN |
TOKEN_START_JSON |
TOKEN_START_NETCONF |
TOKEN_START_SUB_NETCONF |
TOKEN_STRING |
TOKEN_INTEGER |
TOKEN_FLOAT |
TOKEN_BOOLEAN |

Definition at line 492 of file netconf_parser.h.

The documentation for this struct was generated from the following file:

- netconf_parser.h